<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >

<head>
    <title>Philadelphia 76ers</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
        th
        {
          text-align:left; 
          font-size: 0.7em;
          font-weight: normal; 
          padding: .2em;
        }
        body
        {
            font-family: Arial, Verdana, Sans-Serif;
        }
        td
        {
           font-size: .7em;
        }        
        .top1
        {
            background-color: #666666;
            color: #ffffff;
            font-weight: bold;
            font-size: 0.9em;
            border-bottom-style:solid;
            border-bottom-width: 0.15em;
        }
        .top2
        {
            background-color: #0565bd;
            color: #ffffff;
            font-weight: bold;
            font-size: 0.9em;
        }
        tr.odd
        {
            background-color: #cccccc;
            color: #000000;
        }
        a
        {
        	text-decoration: none;
        }
        a:link, a:visited
        {
        	background-color:inherit;
        	color:Blue;
        }
        a:hover, a:active
        {
         	background-color:inherit;
        	color:Red;       	
        }

    

    </style>
</head>
<body>
<img src="six_0910_masthead_left_780x130.jpg" alt="76ers banner" />
<br /><br /><br />

    <table cellspacing="0px" class="style1">
        <tr>
            <th class="top1" colspan="8">
                Sixers Roster </th>
        </tr>
        <tr>
            <th class="top2" colspan="8">
                2009-10 Roster </th>
        </tr>
        <tr class="odd">
            <th>
                NUM</th>
            <th>
                PLAYER</th>
            <th>
                POS</th>
            <th>
                HT</th>
            <th>
                WT</th>
            <th>
                DOB</th>
            <th>
                FROM</th>
            <th>
                YRS</th>
        </tr>

    <?php
		//*************************************************************************
		//Usual XML stuff
		//*************************************************************************
		$insideitem = false; 		//Boolean that determines is we are within <training> tags
		$tag = "";					//holds tag data to determine what kind of xml tag 
									//we are dealing with 
		$itemCount=0;				//used to count the number of player items							
									
		//*************************************************************************
		//Stuff specific to this page
		//*************************************************************************
		$playerNumber="";			//used to hold the player Number data 
		$playerName="";				//used to hold the player Name data
		$playerPosition="";			//used to hold the player Position data
		$playerHeight="";			//used to hold the player Height data
		$playerWeight="";			//used to hold the player Weight data
		$playerDOB="";				//used to hold the player Date of Birth data
		$playerSchool="";			//used to hold the player School data
		$playerYears="";			//used to hold the player Years data

	
		/******************************************************************************
		Function parser will use to recognize the start of an element
		*******************************************************************************
		*/
		function startElement($parser, $tagName, $attrs)
		{
			//*************************************************************************
			//Usual XML stuff
			//*************************************************************************
			global $insideitem, $tag, $itemCount;
			
			//*************************************************************************
			//Stuff specific to this page
			//*************************************************************************
			global $playerNumber, $playerName, $playerPosition, $playerHeight, $playerWeight, $playerDOB, $playerSchool, $playerYears; 
			
			
			if($insideitem)			//if we are inside a player item, we should be dealing with internal tags 
			{
				$tag=$tagName;		
			}
			elseif(strtolower($tagName)=="player") //if we are not inside a player item, we should be moving into one 
			{
				$insideitem=true;		
				$itemCount++;
			}
		}
	
	
		/*
		***************************************************************************************************
		Function parser will use to recognize the end of an element 
		It also says what to do with the data -- in this case prepare options for a drop-down list
		*/
		function endElement($parser, $tagName)
		{
			//*************************************************************************
			//Usual XML stuff
			//*************************************************************************
			global $insideitem, $tag, $itemCount;
			
			//*************************************************************************
			//Stuff specific to this page
			//*************************************************************************
			global $playerNumber, $playerName, $playerPosition, $playerHeight, $playerWeight, $playerDOB, $playerSchool, $playerYears; 			
			
			if(strtolower($tagName) == "player")
			{
					if(($itemCount+3)%2==0)
					{
						print "<tr>";	//print option code
					}
					else
					{
						print "<tr class=\"odd\">";	//print option code					
					}	
					print "<td>" . $playerNumber . "</td>";
					print "<td>" . $playerName . "</td>";
					print "<td>" . $playerPosition . "</td>";
					print "<td>" . $playerHeight . "</td>";
					print "<td>" . $playerWeight . "</td>";					
					print "<td>" . $playerDOB . "</td>";
					print "<td>" . $playerSchool . "</td>";
					print "<td>" . $playerYears . "</td>";					
																				
					print "</tr> \n";

				//clear out data 
				$playerNumber = "";
				$playerName = "";
				$playerPosition = "";
				$playerHeight = "";
				$playerWeight = "";
				$playerDOB = "";
				$playerSchool = "";
				$playerYears = "";
				$insideitem=false;
			}		
		}
	
		/* 
		Function parser will use when looking at data rather than at tags 
		*/
		function characterData($parser, $data)
		{
			//*************************************************************************
			//Usual XML stuff
			//*************************************************************************
			global $insideitem, $tag, $itemCount;
			
			//*************************************************************************
			//Stuff specific to this page
			//*************************************************************************
			global $playerNumber, $playerName, $playerPosition, $playerHeight, $playerWeight, $playerDOB, $playerSchool, $playerYears; 			


			if($insideitem)
			{
				
				switch(strtolower($tag))
				{
					case "playernumber":
						$playerNumber .=$data;
						break;
					case "playername":
						$playerName .=$data;
						break;	
					case "playerposition":
						$playerPosition .=$data;
						break;
					case "playerheight":
						$playerHeight .=$data;
						break;
					case "playerweight":
						$playerWeight .=$data;
						break;
					case "playerdob":
						$playerDOB .=$data;
						break;		
					case "playerschool":
						$playerSchool .=$data;
						break;
					case "playeryears":
						$playerYears .=$data;
						break;																			
				}
			}
		}
	
		//PROGRAM STARTS HERE (above was functions)
		$xml_parser = xml_parser_create();   //create an xml parser, give it a name
		
		xml_set_element_handler($xml_parser, "startElement", "endElement");
		//informs parser of above functions so it can identify the data and 
		//knows what to do with it
		
		xml_set_character_data_handler($xml_parser, "characterData");
		//informs parser of above function 
		
		
		//********************************************************************************
		//Stuff specific to this page  -- specifically the name of the xml file
		//********************************************************************************
		$fp = fopen("Sixers.xml", "r");
		/*
		fp is a "file pointer" it says where a file is found.  We have indicated a "relative
		address" which implies the xml file is in the same folder/directory as the php file
		"r" indicates the xml file will be read
		*/
		
		while($data = fread($fp, 4096))
		{
			xml_parse($xml_parser, $data, feof($fp))
			or die(sprintf("XML error: %s at line %d",
				xml_error_string(xml_get_error_code($xml_parser)),
				xml_get_current_line_number($xml_parser)));
		}
		
	/*
	Read data from the file in 4 kilobyte chunks.  The while loop says that while 
	there is still data to be read we should stay in the loop. 
	
	The xml_parse() function tells the parser we established to parse the 
	data just read in.  If the xml file was larger than 4KB, then certain closing 
	tags might not be found in the data taken in so far.  The feof($fp) seen 
 	as the third argument of the xml_parse() lets the parser know whether the 
	end-of-file has been reached.  If the end-of-file has been reached and the 
	appropriate closing has not been found, then there is a problem. 
	
	The xml_parse() function refers to the rules you establish in the 
	startElement, endElement and characterData functions. The or part is used 
	if the xml parsing goes wrong. 
	
	sprintf is a C-style print function the %s and %d indicate a string and a 
	number that will follow
	*/
	
	fclose($fp); //close the "connection/stream" to the data file
	
	xml_parser_free($xml_parser);  //free up resources used by parser
	
	?>


</table>
</body>
</html>